﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Script : Command, ISubCommandOf<MycroForge>
    {
        public Script(IEnumerable<ISubCommandOf<Script>> subCommands) : 
            base("script", "Script related commands")
        {
            AddAlias("s");
            foreach (var subCommandOf in subCommands.Cast<Command>())
                AddCommand(subCommandOf);
        }
    }
}